<?php

namespace App\Http\Controllers\Auth;

use App\Category;
use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\AuthenticatesUsers;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
        createRoles();
    }

    public function redirectTo()
    {

        if (auth()->user()->hasRole('user')) {
            return 'patient';
        } elseif (auth()->user()->hasRole('pharmacy')) {
            return 'pharmacist';
        } elseif (auth()->user()->hasRole('admin')) {
            return 'administrator/dashboard';
        } else {
            // do nothing
        }
    }

    /**
     * Show the application's login form.
     *
     * @return \Illuminate\Http\Response
     */
    public function showLoginForm()
    {
        $data = array();
        $data['categories'] = Category::with('stocks')->get();
        $data['title'] = 'Login';

        return view('auth.login', $data);
    }
}
