<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Zizaco\Entrust\Traits\EntrustUserTrait;

class User extends Authenticatable
{
    use Notifiable;
    use EntrustUserTrait;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    public function orders(){
        return $this->hasMany(Order::class);
    }

    public function fullname(){
        return ucfirst($this->name) . " " . ucfirst($this->last_name);
    }

    public function company(){
        return $this->hasOne(Company::class);
    }

    public function fullAddress(){
        return ucfirst($this->street_address) . ", " . ucfirst($this->city) . ", " . ucfirst($this->state) . ", " . ucfirst($this->country);
    }
}
