<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            // $table->increments('id');
            $table->string('id', 15)->unique();
            $table->integer('user_id')->unsigned();
            $table->integer('company_id')->unsigned();
            $table->decimal('total_price', 13);
            $table->integer('status')->default(1)->comment("0=>canceled, 1=>pending, 2=>completed");
            $table->decimal('discount')->nullable();
            $table->text('notes')->nullable();
            $table->string('invoice_pdf_path')->nullable();
            $table->string('user_name')->nullable();
            $table->string('email')->nullable();
            $table->text('address')->nullable();
            $table->integer('paid')->default(0)->comment('0->unpaid, 1->paid');
            $table->string('user_phone')->nullable();
            $table->string('delivery_mode')->default('delivery')->comment("delivery or pickup");
            $table->string('payment_mode')->default('pay_online')->comment('pay_online', 'pay_on_delivery', 'pay_on_pickup');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders');
    }
}
