@extends('layouts.listings')

@section('content')

<div class="container-fluid">
    <div class="row">
        <div class="col-md-8 col-md-offset-2 col-sm-8 col-sm-offset-2">
            <ul class="nav nav-tabs">
                <li class="active"><a data-toggle="tab" href="#registerForm">Register</a></li>
                <li><a data-toggle="tab" href="#loginForm">Login</a></li>
            </ul>

            <div class="tab-content">
                <div id="loginForm" class="tab-pane fade">
                    <form action="{{ url('login') }}" method="post">
                        {{ csrf_field() }}
                        <div class="form-group{{ $errors->has('email') ? ' has-error' : '' }}">
                            <label>Email Address</label>
                            <input type="email" name="email" placeholder="Email Address" class="form-control">
                            @if ($errors->has('email'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('email') }}</strong>
                                </span>
                            @endif
                        </div>
                        <div class="form-group{{ $errors->has('password') ? ' has-error' : '' }}">
                            <label>Password</label>
                            <input type="password" name="password" placeholder="Password" class="form-control">
                            @if ($errors->has('password'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('password') }}</strong>
                                </span>
                            @endif
                        </div>
                        <div class="form-group">
                            <label>
                                <input type="checkbox" name="remember"> Remember me
                            </label>
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary">Login</button>
                        </div>
                    </form>
                    <a href="{{ route('password.request') }}" class="pull-left">
                        <strong>Forgot Password?</strong>
                    </a>
                    <div class="clearfix"></div>
                    {{-- <div class="alert alert-info">
                        Don&rsquo;t have an account?
                        <a data-toggle="tab" href="#registerForm" class="btn btn-success btn-sm">Sign up now</a> .
                    </div> --}}
                </div>
                <div id="registerForm" class="tab-pane fade in active">
                    @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif

                    {{-- <div class="alert alert-info">
                        Already registered?
                        <a href="{{ route('login') }}">Click here to Login</a> now.
                    </div> --}}

                    <form action="{{ url('register') }}" name="registration-form" method="post">

                        {{ csrf_field() }}

                        <select id="userAccount" class="form-control" form="registration-form" name="account_type" readonly
                        style="display: none">
                            <option value="user">User</option>
                            {{-- <option value="pharmacist">Pharmacist</option> --}}
                        </select>

                        <div class="form-group{{ $errors->has('firstname') ? ' has-error' : '' }}">
                            <label>Full Name</label>
                            <input type="text" name="firstname" placeholder="Full Name" class="form-control">
                            @if ($errors->has('firstname'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('firstname') }}</strong>
                                </span>
                            @endif
                        </div>

                        <div class="form-group{{ $errors->has('email') ? ' has-error' : '' }}">
                            <label>Email Address</label>
                            <input type="email" name="email" placeholder="Email Address" class="form-control">
                            @if ($errors->has('email'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('email') }}</strong>
                                </span>
                            @endif
                        </div>

                        <div class="form-group{{ $errors->has('password') ? ' has-error' : '' }}">
                            <label>Password</label>
                            <input type="password" name="password" placeholder="Password" class="form-control">
                            @if ($errors->has('password'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('password') }}</strong>
                                </span>
                            @endif
                        </div>

                        <div class="form-group">
                            <button type="submit" class="btn btn-primary">Register</button>
                        </div>

                    </form>
                    <div class="clearfix"></div>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection

@section('after_scripts')
<script>
    $(function() {
        $('div#productContainer').attr('class', 'container');
    });
</script>
@endsection
