@extends('layouts.listings')

@section('content')

<div class="product-top">
    <h4>{{ ucfirst($category->name) }}</h4>
    <div class="clearfix"></div>
</div>
<div class="products-row">
    @forelse($stocks as $stock)
        <div class="col-md-3 product-grids">
            <div class="agile-products" style="max-height: 310px">
                <a href='{{ route('showStock',['pharmacy'=>$stock->company->id,'stock'=>$stock->slug]) }}'>
                    <div style="overflow: hidden; min-height: 210px; max-height: 220px; max-width: 230px;">
                        <img src="{{ Storage::url($stock->picture_path) }}" class="img-responsive"
                        alt="{{ $stock->name }}">
                    </div>
                </a>
                <div class="agile-product-text">
                    <h5>
                        <a href="{{ route('showStock',['pharmacy'=>$stock->company->id,'stock'=>$stock->slug]) }}">
                            {{ substr($stock->name, 0, 20) }}
                        </a>
                    </h5>
                    <h6>{{ config('sitedata.currency') . $stock->price }}</h6>

                    <button type="button" class="w3ls-cart pw3ls-cart" @click="addToCart" data-product="{{ $stock->id }}">
                        <i class="fa fa-cart-plus" aria-hidden="true"></i> Add to cart
                    </button>
                </div>
            </div>
        </div>
    @empty

    @endforelse

    <div class="clearfix"> </div>
</div>
{{ $stocks->links() }}

@endsection

@section('after_scripts')
<script>
    $(function() {
        $('div#productContainer').attr('class', 'container');
    });
</script>
@endsection
