@extends('layouts.listings')

@section('content')

<div class="row">
    @forelse ($companies as $company)
        <div class="col-md-3 col-sm-4 product-grids">
            <div class="agile-products">
                <a href="{{ url('pharmacies/'.$company->id) }}">
                    <img src="{{ asset('images/logo/drugstore-logo-1.png') }}" class="img-responsive"
                    alt="{{ $company->company_name }}">
                </a>
                <div class="agile-product-text">
                    <h5><a href="{{ url('pharmacies/'.$company->id) }}">{{ $company->company_name }}</a></h5>
                    <h6><i class="fa fa-map-marker"></i> {{ $company->fullAddress() }}</h6>
                </div>
            </div>
        </div>
    @empty
        <h3 class="text-center text-primary">Nothing is found for this search query.</h3>
    @endforelse
    <div class="clearfix"></div>
    <div class="text-center">{{ $companies->links() }}</div>

    <div class="clearfix"></div>

    <br><br>

    <div class="product-top">
        <h4>Drugs</h4>
        <div class="clearfix"></div>
    </div>

    @forelse ($stocks as $stock)
        <div class="col-md-3 product-grids">
            <div class="agile-products" style="max-height: 310px">
                <a href='{{ route('showStock',['pharmacy'=>$stock->company->id,'stock'=>$stock->slug]) }}'>
                    <div style="overflow: hidden; min-height: 210px; max-height: 220px; max-width: 230px;">
                        <img src="{{ Storage::url($stock->picture_path) }}" class="img-responsive"
                        alt="">
                    </div>
                </a>
                <div class="agile-product-text">
                    <h5>
                        <a href="{{ route('showStock',['pharmacy'=>$stock->company->id,'stock'=>$stock->slug]) }}">
                            {{ substr($stock->name, 0, 20) }}
                        </a>
                    </h5>
                    <h6>{{ config('sitedata.currency') . $stock->price }}</h6>

                    <button type="button" class="w3ls-cart pw3ls-cart" @click="addToCart" data-product="{{ $stock->id }}">
                        <i class="fa fa-cart-plus" aria-hidden="true"></i> Add to cart
                    </button>
                </div>
            </div>
        </div>
    @empty
        <h3 class="text-center text-primary">No drug is found for this search query.</h3>
    @endforelse
    <div class="clearfix"></div>
    <div class="text-center">{{ $stocks->links() }}</div>
</div>

@endsection
