@extends('layouts.guest')

@section('title')
    Admin Registration | DrugstoreNG
@stop

@section('body')

<!-- Parallax -->
<div class="parallax"
    data-background="{{ asset('images/istock-517539062.jpg') }}"
    data-color="#36383e"
    data-color-opacity="0.6"
    data-img-width="800"
    data-img-height="505">

    <!-- Infobox -->
    <div class="text-content white-font">
        <div class="container">

            <div class="row">
                <div class="col-lg-8 col-sm-8">
                    <h1>REGISTRATION &mdash; ADMIN</h1>
                </div>
            </div>

        </div>
    </div>

    <!-- Infobox / End -->

</div>
<!-- Parallax / End -->

<div class="container margin-top-50 margin-bottom-50">

    <div class="row">
        <div class="col-md-8 col-md-offset-2 col-sm-10 col-sm-offset-1 col-lg-8 col-lg-offset-2">
            @if ($errors->any())
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            <div id="add-listing">

                <!-- Section -->
                <div class="add-listing-section margin-bottom-50" id="user">
                    <!-- Headline -->
                    <div class="add-listing-headline">
                        <h3><i class="im im-icon-Boy"></i> Register &mdash; Admin Account</h3>
                    </div>

                    <div class="notification notice">
                        Already Have An Account?
                        <a href="{{ route('login') }}" class="btn btn-link">
                            <strong>Login Now</strong>
                        </a>
                        {{-- <a class="close" href="#"></a> --}}
                    </div>

                    <form method="post" action="{{ route('registerAdmin') }}" id="registration-form">

                        {{ csrf_field() }}
                        <div class="row with-forms">
                            <h5>First Name</h5>
                            <input type="text" name="firstname" required value="{{ old('firstname') }}" placeholder="First Name">
                        </div>

                        <div class="row with-forms">
                            <h5>Last Name</h5>
                            <input type="text" name="lastname" required value="{{ old('lastname') }}" placeholder="Last Name">
                        </div>

                        <div class="row with-forms">
                            <h5>Email</h5>
                            <input type="email" name="email" required value="{{ old('email') }}" placeholder="Email">
                        </div>

                        <div class="row with-forms">
                            <h5>Password</h5>
                            <input type="password" name="password" required placeholder="Enter your password">
                        </div>

                        <div class="row with-forms">
                            <h5>Confirm Password</h5>
                            <input type="password" name="password_confirmation" required placeholder="Repeat Password">
                        </div>


                        <div class="row with-forms">
                            <button type="submit" class="button border fullwidth margin-top-10">Register</button>
                        </div>
                    </form>
                </div>
                <!-- Section / End -->
            </div>

        </div>
    </div>

</div>

@stop

@section('footer')
    @include('partials.footer-guest')
@stop
