@extends('layouts.pharmacist')

@section('title')
Order Details
@endsection

@section('body')

<!-- Titlebar -->
<div id="titlebar">
    <div class="row">
        <div class="col-md-12">
            <h2>Orders</h2> <span>Monitor Orders for your Stock</span>
            <!-- Breadcrumbs -->
            <nav id="breadcrumbs">
                <ul>
                    <li><a href="{{ url('pharmacist') }}">Home</a></li>
                    <li><a href="{{ url('pharmacist/orders') }}">Orders</a></li>
                    <li>Details</li>
                </ul>
            </nav>
        </div>
    </div>
</div>

<div class="container-fluid dashboard-list-box margin-top-50 padding-left-20" id="wrapper">
    <h3 class="page-header">Order ID: {{ $order->id }}</h3>
    <div class="row">
        <h5>Order made by: {{ $order->user->fullName() }}</h5>
    </div>
    <div class="row">
        <h5>Location of User: {{ $user->fullAddress() }}</h5>
    </div>
    <div class="row">
        <h5>Date of Order: {{ $order->created_at->toDayDateTimeString() }}</h5>
    </div>
    <div class="row">
        <h5>Order Price: {{ config()->get('sitedata.currency') }} {{ $order->total_price }}</h5>
    </div>
    <div class="row">
        <h5>Order Status: {{ $order->getStatus() }}</h5>
    </div>
    <div class="row">
        <h5>Items Ordered</h5>
    </div>

    <!-- Orders Table -->
    <table class="basic-table">
        <thead>
            <th>#</th>
            <th>Item</th>
            <th>Quantity</th>
            <th>Unit Price ({{config()->get('sitedata.currency') }})</th>
            <th>Total Price ({{config()->get('sitedata.currency') }})</th>
        </thead>

        <tbody>
            @forelse ($order->orderitems as $item)
            <tr>
                <td>{{ $loop->iteration }}</td>
                <td>{{ $item->name }}</td>
                <td>{{ $item->quantity }}</td>
                <td>{{ $item->unit_price }}</td>
                <td>{{ $item->unit_price * $item->quantity }}</td>
            </tr>
            @empty
            <tr>
                <td>2</td>
                <td>Septrin</td>
                <td>2</td>
                <td>80</td>
            </tr>

            <tr style="font-weight: bold;">
                <td></td>
                <td></td>
                <td>Total</td>
                <td>200</td>
            </tr>
            @endforelse
        </tbody>
    </table>

    @if($order->getStatus() === "pending")
    <div class="row margin-top-30 margin-bottom-40">
        <div class="col-md-offset-9 col-md-3 col-sm-offset-6 col-sm-6 col-xs-12">
            <button class="button fullwidth padding-top-10 padding-bottom-10">Confirm Order</button>
        </div>
    </div>
    @endif
</div>

@include('partials.copyrights')

<script>
    $('#pharmacyOrders').addClass('active');
</script>

@endsection
