@extends('layouts.pharmacist')

@section('title')
Profile
@stop

@section('body')

<!-- Titlebar -->
<div id="titlebar">
    <div class="row">
        <div class="col-md-12">
            <h2>Profile</h2> <span>View your Profile Details</span>
            <!-- Breadcrumbs -->
            <nav id="breadcrumbs">
                <ul>
                    <li><a href="{{ url('pharmacist') }}">Home</a></li>
                    <li class="active">Profile</li>
                </ul>
            </nav>
        </div>
    </div>
</div>

<div class="container-fluid dashboard-list-box margin-top-50 margin-bottom-50" id="wrapper">
    <h1 class="page-header centered">PROFILE</h1>

    <h3 class="page-header">Personal Information</h3>
    <div class="row">
        <h4><u>First Name</u>: {{ $user->name }}</h4>
    </div>

    <div class="row">
        <h4><u>Last Name</u>: {{ $user->last_name }}</h4>
    </div>

    <div class="row">
        <h4><u>Email Address</u>: <a href="mailto:{{ $user->email }}" title="Mail Me">{{ $user->email }}</a></h4>
    </div>

    <div class="row">
        <h4><u>Street Address</u>: {{ $user->street_address }}</h4>
    </div>

    <div class="row">
        <h4><u>City</u>: {{ $user->city }}</h4>
    </div>

    <div class="row">
        <h4><u>State</u>: {{ $user->state }}</h4>
    </div>

    <h3 class="page-header">Company Information</h3>

    <div class="row">
        <h4><u>Pharmacy Name</u>: {{ $user->company->company_name }}</h4>
    </div>

    <div class="row">
        <h4><u>Role in Company</u>: {{ $user->role_in_company }}</h4>
    </div>

    <div class="row">
        <h4><u>Location of Pharmacy</u>: {{ $user->company->fullAddress() }}</h4>
    </div>

    <div class="row">
        <h4><u>Delivery Hours</u>: {{ $user->company->deliverytimes()->first()->from }} - {{ $user->company->deliverytimes()->first()->to }}</h4>
    </div>

    <div class="row margin-top-50 margin-bottom-50">
        <div class="col-md-offset-8 col-md-4 col-sm-offset-6 col-sm-6 col-xs-12">
            <a href="#small-dialog" class="button fullwidth padding-top-15 padding-bottom-15 popup-with-zoom-anim">
                Edit Profile Details
            </a>
        </div>
    </div>

    <!-- Edit Profie Popup -->
    <div id="small-dialog" class="zoom-anim-dialog mfp-hide">
        <div class="small-dialog-header">
            <h3>Edit Profile Details</h3>
        </div>
        <div class="message-reply margin-top-0">
            <form action="{{ url('pharmacist/profile/update') }}" method="post" enctype="multipart/form-data">
                {{ csrf_field() }}
                {{ method_field('PUT') }}
                <h3 class="headline page-header">Personal Data</h3>

                <!-- Row -->
                <div class="row with-forms">


                    <!-- First Name -->
                    <div class="col-md-6 col-sm-12">
                        <h5>First Name</h5>
                        <input type="text" name="firstname" placeholder="First Name" value="{{ $user->name }}" class="form-control">
                    </div>

                    <!-- Last Name -->
                    <div class="col-md-6 col-sm-12">
                        <h5>Last Name</h5>
                        <input type="text" name="lastname" placeholder="Last Name" value="{{ $user->last_name }}" class="form-control">
                    </div>

                </div>
                <!-- Row / End -->

                <!-- Street Address -->
                <div class="row with-forms">
                    <div class="col-md-12 col-sm-12">
                        <h5>Street Address</h5>
                        <input type="text" name="street_address" placeholder="Street Address"
                        value="{{ $user->street_address }}" class="form-control">
                    </div>
                </div>

                <!-- City and State -->
                <div class="row with-forms">
                    <div class="col-md-6 col-sm-12">
                        <h5>City</h5>
                        <input type="text" name="city" placeholder="City" value="{{ $user->city }}" class="form-control">
                    </div>
                    <div class="col-md-6 col-sm-12">
                        <h5>State</h5>
                        <input type="text" name="state" placeholder="State" value="{{ $user->state }}" class="form-control">
                    </div>
                </div>

                <h3 class="headline page-header">Company Data</h3>

                <div class="row with-forms">
                    <!-- Pharmacy Name -->
                    <div class="col-md-12 col-sm-12">
                        <h5>Pharmacy Name</h5>
                        <input type="text" name="pharmacy_name" placeholder="Pharmacy Name"
                        value="{{ $user->company->company_name }}" class="form-control">
                    </div>

                    <div class="col-md-12 col-sm-12">
                        <h5 class="margin-bottom-80">Profile Image</h5>
                        <div class="change-photo-btn button">
                            <div class="photoUpload">
                                <span><i class="fa fa-camera"></i> Upload Photo</span>
                                <input type="file" class="upload" name="profile_image" accept="image/*">
                            </div>
                        </div>
                    </div>

                    <!-- Role in Company -->
                    <div class="col-md-12 col-sm-12">
                        <h5>Role in Company</h5>
                        <input type="text" name="role_in_company" placeholder="Role in Company"
                        value="{{ $user->role_in_company }}" class="form-control">
                    </div>

                    <!-- Location of Pharmacy -->
                    <div class="col-md-12 col-sm-12">
                        <h5>Street Address</h5>
                        <input type="text" name="pharmacy_street_address" placeholder="Street" value="{{ $user->company->street_address }}" class="form-control">
                    </div>
                    <div class="col-md-12 col-sm-12">
                        <h5>City</h5>
                        <input type="text" name="pharmacy_city" placeholder="City" value="{{ $user->company->city }}" class="form-control">
                    </div>
                    <div class="col-md-12 col-sm-12">
                        <h5>State</h5>
                        <input type="text" name="pharmacy_state" placeholder="State" value="{{ $user->company->state }}" class="form-control">
                    </div>
                    {{-- <div class="col-md-12 col-sm-12">
                        <h5>Location of Pharmacy</h5>
                        <input type="text" name="pharmacy_location" placeholder="Pharmacy Location"
                        value="{{ $user->company->fullAddress() }}" class="form-control">
                    </div> --}}

                    <!-- Delivery Hours -->
                    <div class="col-md-12 col-sm-12">
                        <h5>Delivery Hours</h5>
                        <div class="col-md-6">
                            From <br>
                            <select name="start_delivery" class="form-control">
                                @for ($a = 7; $a < 12; $a++)
                                    <option value="{{ $a.'am' }}" {{ $a.'am' == $user->company->deliverytimes()->first()->from ? 'selected' : ''}}>{{ $a.'am' }}</option>
                                @endfor
                            </select>
                        </div>
                        <div class="col-md-6">
                            To <br>
                            <select name="end_delivery" class="form-control">
                                <option value="12pm">12pm</option>
                                @for ($a = 1; $a < 10; $a++)
                                    <option value="{{ $a.'pm' }}" {{ $a.'pm' == $user->company->deliverytimes()->first()->to ? 'selected' : ''}}>{{ $a.'pm' }}</option>
                                @endfor
                            </select>
                        </div>
                    </div>
                </div>

                <!-- Row -->
                <div class="row with-forms margin-bottom-10">
                    <div class="col-md-offset-7 col-md-5">
                        <button type="submit" class="button fullwidth progress-button">Update Profile</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

@include('partials.copyrights')

<script>
    $('#pharmacyProfile').addClass('active');
</script>

@stop
