@extends('layouts.pharmacist')

@section('title', 'Drug Details')

@section('body')

<!-- Titlebar -->
<div id="titlebar">
    <div class="row">
        <div class="col-md-12">
            <h2>Stock</h2> <span>Drug Details</span>
            <!-- Breadcrumbs -->
            <nav id="breadcrumbs">
                <ul>
                    <li><a href="{{ url('pharmacist') }}">Home</a></li>
                    <li>Drug Details</li>
                </ul>
            </nav>
        </div>
    </div>
</div>

<div class="container-fluid margin-top-50 margin-bottom-80">
    <div class="add-listing-section">
        <div class="add-listing-headline">
            <!-- Paracetamol used as Drug name, remove this comment when appropriate value is inserted -->
            <h3>{{ $stock->name }} Details</h3>
        </div>

        <img src="{{ asset(Storage::url($stock->picture_path)) }}" alt="" class="img-responsive"
        width="500px" height="auto">

        <br><br>

        <div class="row with-forms">
            <h4>Name of Drug: </h4> {{ $stock->name }}
        </div>
        <div class="row with-forms">
            <h4>Quantity in Stock: </h4> {{ $stock->quantity }}
        </div>
        <div class="row with-forms">
            <h4>Price of Drug: </h4> NGN {{ $stock->price }}
        </div>
        <div class="row with-forms">
            <h4>Brand: </h4> {{ $stock->brand }}
        </div>
        <div class="row with-forms">
            <h4>Category: </h4> {{ $stock->category->name }}
        </div>
        <div class="row with-forms">
            <h4>Product Description: </h4> {{ $stock->description }}
        </div>

        <div class="row with-forms margin-top-30 margin-bottom-30">
            <div class="col-md-6">
                <a href="#small-dialog" class="button fullwidth popup-with-zoom-anim">Edit</a>
            </div>
            <div class="col-md-6">
                <!-- Attach Delete Event to this button -->
                <a href="{{ route('deleteStock', ['id'=>$stock->id]) }}" class="button fullwidth progress-button" id="deleteStock">Delete</a>
            </div>
        </div>
    </div>
</div>

<!-- Reply to review popup -->
<div id="small-dialog" class="zoom-anim-dialog mfp-hide">
    <div class="small-dialog-header">
        <h3>Edit Drug Details</h3>
    </div>
    <div class="message-reply margin-top-0">
        <form action="{{ url('pharmacist/stock/update/'.$stock->id) }}" method="post">
            {{ csrf_field() }}
            {{ method_field('PUT') }}
            <!-- Drug Name -->
            <div class="row with-forms">
                <div class="col-md-12">
                    <h5>Drug Name</h5>
                    <input type="text" name="drug_name" placeholder="Name of Drug" value="{{ $stock->name }}" class="form-control">
                </div>
            </div>

            <!-- Row -->
            <div class="row with-forms">

                <!-- Quantity -->
                <div class="col-md-6 col-sm-6">
                    <h5>Quantity</h5>
                    <input type="number" name="drug_quantity" placeholder="Quantity of Drug" value="{{ $stock->quantity }}" class="form-control">
                </div>

                <!-- Price -->
                <div class="col-md-6 col-sm-6">
                    <h5>Price (NGN)</h5>
                    <input type="number" name="drug_price" placeholder="Price of Drug" value="{{ $stock->price }}" class="form-control">
                </div>

            </div>
            <!-- Row / End -->

            <!-- Row -->
            <div class="row with-forms">
                <div class="col-md-12 col-sm-12">
                    <h5>Description</h5>
                    <textarea name="product_description" placeholder="Product Description" rows="5">{{ $stock->description}}</textarea>
                </div>
            </div>
            <!-- /Row -->

            <!-- Row -->
            <div class="row with-forms margin-bottom-10">
                <div class="col-md-offset-7 col-md-5">
                    <button type="submit" class="button fullwidth progress-button">Update Drug Details</button>
                </div>
            </div>
        </form>
    </div>
</div>

@include('partials.copyrights')

<script>
    $('#pharmacyStock').addClass('active');

    $('a#deleteStock').on('click', function(e) {
        var response = confirm("Are you sure you want to delete this item?");
        if (response === true) {
            return true;
        } else {
            return false;
        }
    });
</script>

@endsection
