@extends('layouts.pharmacist')

@section('title')
Stock Page
@endsection

@section('body')

<!-- Titlebar -->
<div id="titlebar">
    <div class="row">
        <div class="col-md-12">
            <h3>Stock</h3> <span>Manage Your Stock</span>
            <!-- Breadcrumbs -->
            <nav id="breadcrumbs">
                <ul>
                    <li><a href="{{ url('pharmacist') }}">Home</a></li>
                    <li>Stock</li>
                </ul>
            </nav>
        </div>
    </div>
</div>

<div class="container-fluid margin-bottom-30">
    <div class="row">
        <div class="col-md-6 col-md-offset-6 col-sm-6 col-sm-offset-6">
            <form action="{{ url('pharmacist/orders/delivered') }}" method="post">
                <div class="main-search-input margin-top-5">
                    <div class="main-search-input-item">
                        <input type="text" name="search_query" placeholder="Search..." value=""/>
                    </div>
                    <button class="button" type="submit">Search</button>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="container-fluid">
    <div class="row">
        <div class="col-md-offset-9 col-md-3 col-sm-offset-6 col-sm-6">
            <a href="{{ url('pharmacist/stock/new') }}" class="button fullwidth"><i class="sl sl-icon-plus"></i> Add New</a>
        </div>
    </div>
</div>

<div class="container-fluid dashboard-list-box margin-top-50 margin-bottom-50 padding-top-30" id="wrapper">
    <!-- Stock Items -->
    <table class="basic-table margin-top-50">
        <thead>
            <th>#</th>
            <th>Drug Name</th>
            <th>Quantity</th>
            <th>Category</th>
            <th>Price (N)</th>
            <th>Action</th>
        </thead>

        <tbody>
            @forelse($stocks as $stock)
                <tr>
                    <td>{{ $loop->iteration }}</td>
                    <td>{{ ucfirst($stock->name) }}</td>
                    <td>{{ $stock->quantity }}</td>
                    <td>{{ !empty($stock->category->name) ? $stock->category->name : "" }}</td>
                    <td>NGN{{ $stock->price }} </td>
                    <td><a href='{{ url("pharmacist/stock/$stock->id/details") }}' class="button">Details</a></td>
                </tr>
            @empty
                <tr>
                    <td>1</td>
                    <td>Paracetamol</td>
                    <td>20</td>
                    <td>Test Category</td>
                    <td>10,000</td>
                    <td><a href="{{ url('pharmacist/stock/1/details') }}" class="button">Details</a></td>
                </tr>

                <tr>
                    <td>2</td>
                    <td>Tetracycline</td>
                    <td>30</td>
                    <td>Test Category</td>
                    <td>15,000</td>
                    <td><a href="{{ url('pharmacist/stock/2/details') }}" class="button">Details</a></td>
                </tr>
            @endforelse

        </tbody>
    </table>
</div>

@include('partials.copyrights')

<script>
    $('#pharmacyStock').addClass('active');
</script>

@endsection
