@extends('layouts.smart')

@section('content')

    <div class="container">
        <div class="text-center" style="margin-bottom: 70px; margin-top: 50px;" id="about">
            <h1 class="page-title" style="font-family: 'Open Sans', sans-serif; text-align: center">ABOUT DRUGSTORE</h1>
            <hr>
            <p class="lead" style="font-family: 'Open Sans', sans-serif; text-align: center">
                Drugstore Nigeria is Nigeria&rsquo;s largest online pharmacy store where you can buy medicine.
            </p>
            <p class="lead" style="font-family: 'Open Sans', sans-serif; text-align: center">
                Buy drugs, medical and hospital equipment from registered pharmacies in Nigeria and get it delivered
                to you.
            </p>
            <p class="lead" style="font-family: 'Open Sans', sans-serif; text-align: center">
                Drugstore Nigeria enables easier and faster access to drugs.
            </p>
        </div>
    </div>

    <div class="container">
        <h2 style="font-family: 'Open Sans', sans-serif; text-align: center;">Categories</h2>
        <hr>
        @foreach ($categories->chunk(4) as $chunk)
            <div class="row">
                @foreach ($chunk as $category)
                    <div class="col-md-3">
                        <a href="{{ route('showCategoryStocks', ['slug' => $category->slug]) }}" class="btn btn-default btn-block">
                            {{ $category->name }}
                        </a>
                    </div>
                @endforeach
            </div>
            <div class="clearfix"></div>
            <br>
        @endforeach
    </div>

    <div class="clearfix"></div>
    <br><br>

    @forelse ($categories as $category)
        <div class="product-top">
            <a href="{{ route('showCategoryStocks', ['slug' => $category->slug]) }}"><h4>{{ ucfirst($category->name) }}</h4></a>
            <div class="clearfix"></div>
        </div>

        @forelse ($category->stocks->take(8)->chunk(8) as $chunk)
            <div class="products-row">
                @foreach($chunk as $stock)
                    <div class="col-md-3 product-grids">
                        <div class="agile-products" style="max-height: 310px">
                            <a href='{{ route('showStock',['pharmacy'=>$stock->company->id,'stock'=>$stock->slug]) }}'>
                                <div style="overflow: hidden; min-height: 210px; max-height: 220px; max-width: 230px;">
                                    <img src="{{ Storage::url($stock->picture_path) }}" class="img-responsive"
                                    alt="{{ $stock->name }}">
                                </div>
                            </a>
                            <div class="agile-product-text">
                                <h5>
                                    <a href="{{ route('showStock',['pharmacy'=>$stock->company->id,'stock'=>$stock->slug]) }}">
                                        {{ substr($stock->name, 0, 20) }}
                                    </a>
                                </h5>
                                <h6>{{ config('sitedata.currency') . $stock->price }}</h6>

                                <button type="button" class="w3ls-cart pw3ls-cart" @click="addToCart" data-product="{{ $stock->id }}">
                                    <i class="fa fa-cart-plus" aria-hidden="true"></i> Add to cart
                                </button>
                            </div>
                        </div>
                    </div>
                @endforeach

                <div class="clearfix"></div>
            </div>
        @empty
            <h4 class="text-center text-info">No item in this category yet.</h4>
        @endforelse
        <br>
        <div class="row">
            <div class="col-lg-12">
                <div class="container-fluid">
                    <a href="{{ route('showCategoryStocks', ['slug' => $category->slug]) }}" class="btn btn-primary">
                        View More Items
                    </a>
                </div>
            </div>
        </div>
        <br>
    @empty
        <h4 class="text-center text-info">No categories yet.</h4>
    @endforelse
</div>
<div class="clearfix"></div>
</div>
</div>
<!--//products-->

<!--<h2 style="font-family: 'Open Sans', sans-serif; text-align: center">Payment and Delivery</h2>-->
<!--<hr>-->
<!--<p class="lead" style="font-family: 'Open Sans', sans-serif; text-align: center">-->
<!--    Payment secured by Paystack and Delivery made by DHL-->
<!--</p>-->
<!--<div align="center">-->
<!--    <img src="{{ asset('images/logo/paystack_logo.png') }}" alt="Paystack Logo"-->
<!--    style="width:300px">-->
<!--    <img src="{{ asset('images/logo/DHL_Logo.png') }}" alt="DHL Logo"-->
<!--    style="width:300px">-->
<!--</div>-->

<div class="clearfix"></div>
<br>
<br>
<br>

@endsection
