@extends('layouts.smart')

@section('content')
    <div class="row">
        <div class="col-sm-10 col-sm-offset-1">
            <h2 class="title font-weight-bold mb-0">Terms and Conditions</h2>
            <h5 class="secondary--text font-weight-light mb-4" style="margin-bottom: 10px;">Document effective from August, 2019</h5>

            <p class="font-weight-regular">
                <span style="color: #000000">
                    Drugstore’s solutions, websites, products and services <b>(‘Services’)</b> are provided by Drugstore Health Tech Services <b>(‘Drugstore’, ‘we’, ‘us’, ‘Company’</b> and <b>‘our’)</b>.
                </span>
                <br />
                <h4 class="font-weight-bold" style="font-weight: bold; margin-top: 10px;">Acceptance</h4>
                By using this website www.drugstore.ng <b>(‘website’)</b>, any of our websites and/or services, you <b>(‘User’, ‘Customer’, ‘Visitor’, ‘Client’</b> or <b>‘Merchant’</b> on our website) agree to these Terms of Use. The website’s Privacy Policy and Merchants Service Level Agreement (where applicable) are incorporated by reference into these Terms and Conditions.
                <br />
                If you access this website and/or use our Services on behalf of another entity or organization, you represent and warrant that you have the full authority to act on behalf of such other entity or organization, to bind that entity or organization to these Terms of Use, and that you agree to these Terms of Use on that entity or organization’s behalf.
                <br />
                If you do not want to be bound by these Terms of Use, please leave this website and discontinue your use of our website and Services immediately.
                <br />
                <br />
                <h4 class="font-weight-bold">Updates</h4>
                Drugstore reserves the right to change, modify, amend, add or remove portions of these Terms and Conditions at any time. Any changes made will be posted on this website without notice to you. Please ensure you review these Terms and Conditions regularly. Your continued use of this website and our Services following the posting of changes to these Terms and Conditions constitutes your acceptance of those changes.
                <br />
                <br />
                <h4 class="font-weight-bold">About Us</h4>
                Drugstore is a technology platform that provides a marketplace platform for vendors of healthcare products. We are an independent contractor for all purposes, providing this website and our services on an independent service provider basis. We do not have control or assume liability or legality for the products or services or information displayed or sold on our website. We do not guarantee any user’s identity and cannot ensure that a buyer or seller will honour a request or complete a transaction.
                <br />
                <br />
                <h4 class="font-weight-bold">Privacy Policy</h4>
                Drugstore respects the privacy of our online users and as such we will adopt global best practices to the best of our abilities. You can read our Privacy Policy here to understand how we collect, use, store and share your information and the steps we take to protect your information.
                <br />
                <br />
                <h4 class="font-weight-bold">Age Restriction</h4>
                Our website, services, solutions and products are not directed to children under 18 years. We do not knowingly transact, provide or offer any service to children under 18 years of age.
                <br />
                <br />
                <h4 class="font-weight-bold">Disputes and Reversals</h4>
                If you have any reason to believe that a problematic transaction has taken place, you agree to notify us immediately, to enable us take action to help prevent financial loss. All claims against or related to payments should be made within forty-five (45) days after the date of such payments. It will be taken that you waive all claims against us, to the fullest extent of the law after said period of time.
                <br />
                If you enter into a transaction or contract with a third party and have a dispute over the goods or services you purchased, or the terms of the contract, we have no liability for such goods or services or terms.
                <br />
                We may intervene in disputes between users and merchants concerning payments and purchases but have no obligation to do so.
                <br />
                <br />
                <h4 class="font-weight-bold">Content And Pricing</h4>
                You agree that Drugstore will not be held liable in any way for the content on its website, including but not limited to product images, product names, product descriptions, product functionalities, product uses, product ingredients and prices, if they are found to be inaccurate, incomplete, erroneous or wrong in any way.
                <br />
                Furthermore, you agree that, although content may be the same or look alike, images on the website may differ slightly from actual item. In line with this, Drugstore reserves the right to refuse or cancel any order if the order contains item(s) that are not priced accurately or contain incorrect, inaccurate or incomplete content.
                <br />
                <br />
                <h4 class="font-weight-bold">Order Acceptance And Cancellation</h4>
                Drugstore reserves the sole right to determine which orders to accept and process as well as the right to cancel any order at its own discretion. However, Drugstore will ensure that the cancellation of any order is communicated in an appropriate time and manner.
                <br />
                You, or any customer can cancel an order before it has been paid for. Once an order has been paid for, Drugstore is unable to accept a cancellation of the order, neither will it process any refund under such circumstances. This does not affect your, or any customer’s, rights to a refund in the event that an incorrect or damaged item is delivered.
                <br />
                <br />
                <h4 class="font-weight-bold">Returns and Refunds</h4>
                We agree to replace, at no additional cost to you, any item purchased from our website which you discover to be damaged or incorrect through no fault of yours. Drugstore will not accept the return of such items if we find that there is no material damage to them or that they are actually. Products or items that are materially intact but whose packaging may have scratches, peels, tearing, dents or any other aesthetic or immaterial impairment that does not affect their taste, functionality or integrity may not be accepted by Drugstore as a return.
                <br />
                Defective items or incorrect items must be identified to the Drugstore representative or dispatch rider at the point of delivery. Once Customers have taken delivery of their order and signed confirming this, they take ownership of the items and Drugstore will not accept any returns made or requested for. We advise you to carefully check each item delivered to you before signing for or accepting them.
                <br />
                Drugstore shall make a refund (to the bank account you provide to us in Nigeria) for any item purchased on our website but found to be unavailable, after we have spent a reasonable amount of time checking to see if such item is back in stock.
                <br />
                <br />
                <h4 class="font-weight-bold">Copyrights and Trademarks</h4>
                The Company name, the terms Drugstore, the Drugstore logo, and all related names, logos, product and service names, designs and slogans are copyright and trademarks of Drugstore Health Tech Services or its affiliates or licensors. You must not use such marks without the prior written permission of the Company or as otherwise set out in these Terms and Conditions. All other names, logos, product and service names, designs and slogans on the website are the trademarks of their respective owners.
                <br />
                <br />
                <h4 class="font-weight-bold">Third Party Services</h4>
                We may enable you to use third-party services on our website. Any ongoing fees for use of third party registered agents or merchants will be billed to you directly from those agents or merchants, and you are responsible for payment of those fees directly to such parties. The services provided by any third parties are governed by their respective Terms of Use, Terms and Conditions and policies. We disclaim any and all liability for any third-party acts or omissions.
                <br />
                <br />
                <h4 class="font-weight-bold">Disclaimers</h4>
                Drugstore is not a pharmacy or healthcare practitioner. We do not practice medicine, offer medical advice, medical consultation or pharmaceutical services. We are not liable for any decisions or actions taken by you based on any information gotten from our website. Furthermore, we cannot be held responsible for the quality or accuracy of any information or Services accessed on this website.
                <br />
                We try to keep Drugstore available at all times, bug-free and safe, however, you use it at your own risk.
                <br />
                Our website and Services are provided ‘as is’ without any express, implied and/or statutory warranties (including, but not limited to, any implied or statutory warranties of merchantability, fitness for a particular use or purpose, title, and non-infringement of intellectual property rights). Without limiting the generality of the foregoing, Drugstore makes no warranty that:
                <br />
                <ul>
                    <li>our website and Services will meet your requirements;</li>
                    <li>our website and Services will be uninterrupted, timely, secure, or error free;</li>
                    <li>the results that may be obtained from the use of our website and Services will be accurate or reliable</li>
                    <li>the quality of any products, services, information, or other materials purchased or obtained by you through our website and Services will meet your expectations; or</li>
                    <li>any errors in our website and Services will be corrected.</li>
                </ul>
                <br />
                No advice or information, whether oral or written, obtained by you through our website or from Drugstore, its parents, subsidiaries, or other affiliated companies, or its or their suppliers (or the respective officers, directors, employees, or agents of any such entities) (collectively ‘Drugstore parties’) shall create any warranty.
                <br />
                Any material downloaded or otherwise obtained through our Services is done at your own discretion and risk and you are solely responsible for any damage to your computer system or loss of data that results from the download of any such material.
                <br />
                <br />
                <h4 class="font-weight-bold">No Formation of Doctor-Patient Relationship</h4>
                The information posted on Drugstore is intended for general informational purposes only and should be used only as a starting point for addressing your medical needs. The information is not the provision of medical or pharmaceutical services, and accessing such information, or otherwise using our Services, does not create a doctor-patient relationship between you and Drugstore or any of our employees, directors, affiliates, staff or agents.
                <br />
                Drugstore is not a substitute for a consultation with a medical doctor or pharmacist licensed to practice in your jurisdiction about your specific medicinal or medical needs. You agree and understand that, subject to our Privacy Policy, questions, answers, information and files voluntarily created or shared are not subject to doctor-patient privilege or treated as work product.
                <br />
                You are and will be representing yourself in any matter you engage in while using our Services or website.
                <br />
                <br />
                <h4 class="font-weight-bold">No Third-Party Beneficiary Rights</h4>
                These Terms and Conditions constitute the entire agreement between you and Drugstore with respect to the subject matter of these Terms and Conditions, and supersede and replace any prior version of the Terms. These Terms and Conditions create no third-party beneficiary rights.
                <br />
                <br />
                <h4 class="font-weight-bold">Prohibited Uses</h4>
                You may use the website and Services only for lawful purposes and in accordance with these Terms and Conditions. You agree not to use our website or Services:
                <br />
                <ul>
                    <li>In any way that violates any applicable federal, state, local or international law or regulation (including without limitation, any laws regarding the export of data or software to and from Nigeria or other countries)</li>
                    <li>For the purpose of exploiting, harming or attempting to exploit or harm minors in any way by exposing them to inappropriate content, asking for personally identifiable information or otherwise.</li>
                    <li>To send, knowingly receive, upload, download, use or re-use any material which does not comply with these Terms and Conditions.</li>
                    <li>To transmit, or procure the sending of, any advertising or promotional material without our prior written consent, including any ‘junk mail’, ‘chain letter’ or ‘spam’ or any other similar solicitation.</li>
                    <li>To impersonate or attempt to impersonate Drugstore, a Drugstore employee, another user or any other person or entity (including, without limitation, by using e-mail addresses or screen names associated with any of the foregoing).</li>
                    <li>To engage in any other conduct the restricts or inhibits anyone’s use or enjoyment of the Website, or which, as determined by us, may Drugstore or users of the website or expose them to liability.</li>
                </ul>
                <br />
                You also agree not to:
                <ul>
                    <li>Use the website in any manner that could disable, overburden, damage or impair the site or interfere with any other party’s use of the website, including their ability to engage in real time activities through this website.</li>
                    <li>Use any manual process to monitor or copy any of the material on this website without prior written consent.</li>
                    <li>Use any means to attack. disrupt or interfere with the proper working of this website.</li>
                </ul>

                <br />
                <br />
                <h4 class="font-weight-bold">Limitation of Liability</h4>
                To the fullest extent permitted by applicable laws, you agree that Drugstore, its affiliates, subsidiaries, employees, officers, directors, shareholders, agents and third-party service providers will not be liable to you or any third party for:
                <ul>
                    <li>The performance of our website and Services or the inability to use our website and Services;</li>
                    <li>Any indirect, incidental, special, consequential, punitive, or exemplary damages, whether based in statute, contract, tort, or any legal theory, including, but not limited to, damages for loss of profits, goodwill, use, data, business interruptions, or other intangible losses, even if such persons have been advised of the possibility of such damages, which arise out of or are in any way connected with these terms, our website, Services, or content;</li>
                    <li>Any amount, in the aggregate, in excess of the greater of twenty thousand naira only (NGN20,000); or</li>
                    <li>Any event beyond our reasonable control.</li>
                </ul>
                <br />
                Some jurisdictions do not allow the exclusion of certain warranties or the limitation or exclusion of liability for certain damages. Accordingly, some of the above disclaimers and limitations of liability may not apply to you. To the extent that Drugstore or any of its affiliates, subsidiaries, employees, directors, shareholders, agents and third-party service providers may not, as a matter of applicable law, disclaim any implied warranty or limit its liabilities, the scope and duration of such warranty and the extent of Drugstore’s, or any of its affiliates, subsidiaries, employees, directors, shareholders, agents and third-party service providers’, liability shall be the minimum permitted under such applicable law.
                <br />
                <br />
                <h4 class="font-weight-bold">Indemnity</h4>
                You agree to defend, indemnify and hold harmless Drugstore, its affiliates, subsidiaries, employees, directors, shareholders, independent contractors, agents, service providers and consultants, from and against any claims, damages, costs, liabilities and expenses (including, but not limited to, reasonable attorneys’ fees) arising out of or related to your use of or inability to use our website or Services, including without limitation any actual or threatened suit, demand or claim arising out of or relating to your conduct, your violation of these Terms or your violation of the rights of any third party.
                <br />
                <br />
                <h4 class="font-weight-bold">Acceptance of Electronic Documents</h4>
                All agreements, notices, disclosures and other communications that we provide to you electronically satisfy any legal requirement that such communications be in writing.
                <br />
                <br />
                <h4 class="font-weight-bold">Severability</h4>
                If any portion of these Terms and Conditions is held by any court or tribunal or law to be invalid or unenforceable, either in whole or in part, then that part shall be severed from these Terms and Conditions and shall not affect the validity or enforceability of any other part in this Terms and Conditions.
                <br />
                <br />
                <h4 class="font-weight-bold">Applicable Law</h4>
                These Terms and Conditions shall be interpreted and governed by the laws currently in force in the Federal Republic of Nigeria. Subject to the Dispute Resolution section below, each party hereby agrees to submit to the jurisdiction of the courts of Nigeria and to waive any objections based upon venue.
                <br />
                <br />
                <h4 class="font-weight-bold">Dispute Resolution</h4>
                We shall make considerable effort to settle all disputes amicably. Any dispute arising out of this Agreement, which cannot be settled amicably, by mutual agreement or negotiation within one (1) month shall be referred to arbitration by a single arbitrator at the Lagos Multi-Door Courthouse <b>(‘LMDC’)</b> and governed by the Arbitration and Conciliation Act, Cap A10, Laws of the Federal Republic of Nigeria. The arbitrator shall be appointed by the Parties, where Parties are unable to agree on the choice of arbitrator, the choice of arbitration shall be referred to the LMDC. The findings of the arbitrator and subsequent award shall be binding on the Parties. Each Party shall bear its cost in connection with the Arbitration.
                <br />
                <br />
                <h4 class="font-weight-bold">Waivers and Assignment</h4>
                Drugstore’s failure to enforce a provision of these Terms and Conditions is not a waiver of its right to do so later. You may not assign any of your rights under these Terms and Conditions, and any attempt to do so, will be void. Drugstore may assign its rights to any of its affiliates or subsidiaries, or to any successor in interest of any business associated with our website or Services.
                <br />
                <br />
                <h4 class="font-weight-bold">Termination</h4>
                Notwithstanding any of these Terms, Drugstore reserves the right, without notice and in its sole discretion, to terminate your license to use our website and Services. Drugstore reserves the right to refuse service to anyone for any reason at any time. In the event of termination of access to our website and Services for any reason, you have no right to obtain a copy of any data or communications you stored or effected via our website and Services, or any other data. We have the right to also:
                <ul>
                    <li>Remove any User’s Contributions for any or no reason in our sole discretion</li>
                    <li>Take any action with respect to any User Contribution that we deem necessary or appropriate in our sole discretion</li>
                    <li>Take appropriate legal action, including without limitation, referral to law enforcement, for any illegal or unauthorized use of our website and Services</li>
                    <li>Disclose your identity or other information about you to any third party who claims material posted by you violates their rights, including their intellectual property rights or their right to privacy</li>
                </ul>
                <br />
                <h4 class="font-weight-bold">How Can You Contact Drugstore?</h4>
                If you have any questions, comments, feedback or concerns regarding these Terms and Conditions or our Services in general, please contact us at
                <a href="mailto:hello@drugstore.ng">hello@drugstore.ng</a>
            </p>
        </div>
    </div>
@stop
