@extends('layouts.patient')

@section('title')
    Pending Orders | DrugstoreNG
@endsection

@section('body')

<!-- Titlebar -->
<div id="titlebar">
    <div class="row">
        <div class="col-md-12">
            <h4>Orders</h4> <span class="small">Pending Orders</span>
            {{-- <h4>Orders</h4> <span class="small">{{ isset($title) ? $title : 'Pending Orders'}}</span> --}}
            <!-- Breadcrumbs -->
            <nav id="breadcrumbs">
                <ul>
                    <li><a href="{{ url('patient') }}">Home</a></li>
                    <li>Pending Orders</li>
                    {{-- <li>{{ isset($title) ? $title : 'Pending Orders'}}</li> --}}
                </ul>
            </nav>
        </div>
    </div>
</div>

<div class="container-fluid margin-bottom-30">
    <div class="row">
        <div class="col-md-6 col-md-offset-6 col-sm-6 col-sm-offset-6">
            <form action="{{ url('patient/orders/pending') }}" method="post">
                <div class="main-search-input margin-top-5">
                    <div class="main-search-input-item">
                        <input type="text" name="search_query" placeholder="Search..." value=""/>
                    </div>
                    <button class="button" type="submit">Search</button>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="container-fluid dashboard-list-box margin-top-50 margin-bottom-50 padding-top-30" id="wrapper">
    <!-- Orders Table -->
    <table class="basic-table">
        <thead>
            <th>#</th>
            <th>OrderID</th>
            <th>Made by</th>
            <th>Price (N)</th>
            <th>Delivery Status</th>
            <th>{{-- Action --}}</th>
        </thead>

        <tbody>
            
            @forelse($orders as $order)
                <tr>
                    <td>{{ $loop->iteration }}</td>
                    <td>{{ $order->id }}</td>
                    <td>{{ $order->user_name }}</td>
                    <td>{{ config()->get('sitedata.currency') }} {{ $order->total_price }}</td>
                    <td class="text-warning">{{ $order->getStatus() }}</td>
                    <td><a href="{{ url('patient/orders/'.$order->id.'/details') }}" class="button">Details</a></td>
                </tr>
            @empty

                Nothing to show here

            @endforelse
        </tbody>

    </table>
    {{ $orders->links() }}
</div>

@include('partials.copyrights')

<script>
    $('#userOrders').addClass('active');
</script>

@endsection
