@extends('layouts.patient')

@section('title')
    Patient Profile | DrugstoreNG
@endsection

@section('body')

    <!-- Titlebar -->
    <div id="titlebar">
        <div class="row">
            <div class="col-md-12">
                <h2>Profile</h2> <span>View your Profile Details</span>
                <!-- Breadcrumbs -->
                <nav id="breadcrumbs">
                    <ul>
                        <li><a href="{{ url('patient') }}">Home</a></li>
                        <li>Profile</li>
                    </ul>
                </nav>
            </div>
        </div>
    </div>

    <div class="container-fluid dashboard-list-box margin-top-50 margin-bottom-50" id="wrapper">
        <h1 class="page-header centered">PROFILE</h1>

        <h3 class="page-header">Personal Information</h3>
        <div class="row">
            <h4><u>First Name</u>: {{ $user->name }}</h4>
        </div>

        <div class="row">
            <h4><u>Last Name</u>: {{ $user->last_name }}</h4>
        </div>

        <div class="row">
            <h4><u>Email Address</u>: <a href="mailto:{{$user->email}}" title="Mail Me">{{ $user->email }}</a></h4>
        </div>

        <div class="row">
            <h4><u>Street Address</u>: {{ $user->street_address }}</h4>
        </div>

        <div class="row">
            <h4><u>City</u>: {{ $user->city }}</h4>
        </div>

        <div class="row">
            <h4><u>State</u>: {{ $user->state }}</h4>
        </div>

        <div class="row margin-top-50 margin-bottom-50">
            <div class="col-md-offset-8 col-md-4 col-sm-offset-6 col-sm-6 col-xs-12">
                <a href="#small-dialog" class="button fullwidth padding-top-15 padding-bottom-15 popup-with-zoom-anim">
                    Edit Profile Details
                </a>
            </div>
        </div>

        <!-- Edit Profie Popup -->
        <div id="small-dialog" class="zoom-anim-dialog mfp-hide">
            <div class="small-dialog-header">
                <h3>Edit Profile Details</h3>
            </div>
            <div class="message-reply margin-top-0">
                <form action="{{ url('patient/profile') }}" method="post">
                    {{ csrf_field() }}
                    {{ method_field('PUT') }}
                    <h3 class="headline page-header">Personal Data</h3>

                    <!-- Row -->
                    <div class="row with-forms">


                        <!-- First Name -->
                        <div class="col-md-6 col-sm-12">
                            <h5>First Name</h5>
                            <input type="text" name="firstname" placeholder="First Name" value="{{ $user->name }}" class="form-control">
                        </div>

                        <!-- Last Name -->
                        <div class="col-md-6 col-sm-12">
                            <h5>Last Name</h5>
                            <input type="text" name="lastname" placeholder="Last Name" value="{{ $user->last_name }}" class="form-control">
                        </div>

                    </div>
                    <!-- Row / End -->

                    <!-- Street Address -->
                    <div class="row with-forms">
                        <div class="col-md-12 col-sm-12">
                            <h5>Street Address</h5>
                            <input type="text" name="street_address" placeholder="Street Address"
                            value="{{ $user->street_address }}" class="form-control">
                        </div>
                    </div>

                    <!-- City and State -->
                    <div class="row with-forms">
                        <div class="col-md-6 col-sm-12">
                            <h5>City</h5>
                            <input type="text" name="city" placeholder="City" value="{{ $user->city }}" class="form-control">
                        </div>
                        <div class="col-md-6 col-sm-12">
                            <h5>State</h5>
                            <input type="text" name="state" placeholder="State" value="{{ $user->state }}" class="form-control">
                        </div>
                    </div>

                    <!-- Row -->
                    <div class="row with-forms margin-bottom-10">
                        <div class="col-md-offset-7 col-md-5">
                            <button type="submit" class="button fullwidth progress-button">Update Profile</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <script>
        $('#userProfile').addClass('active');
    </script>

@endsection
