@extends('layouts.patient')

@section('title', 'Settings')

@section('body')

<!-- Titlebar -->
<div id="titlebar">
    <div class="row">
        <div class="col-md-12">
            <h4>Settings</h4> <span class="small">User Settings</span>
            <!-- Breadcrumbs -->
            <nav id="breadcrumbs">
                <ul>
                    <li><a href="{{ url('patient') }}">Home</a></li>
                    <li>User Settings</li>
                </ul>
            </nav>
        </div>
    </div>
</div>

<div class="container-fluid dashboard-list-box margin-top-50 margin-bottom-50 padding-top-50" id="wrapper">

    <h1 class="page-header centered">SETTINGS</h1>

    <div class="row">
        <h4><u>Delivery Address</u>: {!! $user->delivery_address !!}</h4>
    </div>

    <div class="row">
        <h4><u>Payment Mode</u>: {{ $user->payment_mode == "pay_online" ? 'Pay Online' : 'Pay On Delivery' }}</h4>
    </div>

    <div class="row margin-top-50 margin-bottom-50">
        <div class="col-md-offset-8 col-md-4 col-sm-offset-6 col-sm-6 col-xs-12">
            <a href="#small-dialog" class="button fullwidth padding-top-15 padding-bottom-15 popup-with-zoom-anim">
                Edit Profile Details
            </a>
        </div>
    </div>

    <!-- Edit Profie Popup -->
    <div id="small-dialog" class="zoom-anim-dialog mfp-hide">
        <div class="small-dialog-header">
            <h3>Edit Settings</h3>
        </div>
        <div class="message-reply margin-top-0">
            <form action="{{ route('updateSettings') }}" method="post">
                {{ csrf_field() }}
                {{ method_field('PUT') }}

                <!-- Row -->
                <div class="row with-forms">

                    <!-- First Name -->
                    <div class="col-md-12 col-sm-12">
                        <h5>Delivery Address</h5>
                        <textarea name="delivery_address" rows="5" class="form-control"
                        placeholder="Delivery Address">{!! $user->delivery_address !!}</textarea>
                    </div>

                </div>

                <!-- Row -->
                <div class="row with-forms">

                    <!-- Last Name -->
                    <div class="col-md-12 col-sm-12">
                        <h5>Payment Mode</h5>
                        <select name="payment_mode" class="form-control">
                            <option value="">Choose Payment Mode</option>
                            <option value="pay_online" {{ $user->payment_mode=="pay_online" ? 'selected' : '' }}>Pay Online</option>
                            <option value="pay_on_delivery" {{ $user->payment_mode=="pay_on_delivery" ? 'selected' : '' }}>Pay On Delivery</option>
                        </select>
                    </div>

                </div>
                <!-- Row / End -->

                <!-- Row -->
                <div class="row with-forms margin-bottom-10">
                    <div class="col-md-offset-7 col-md-5">
                        <button type="submit" class="button fullwidth progress-button">Update Settings</button>
                    </div>
                </div>
            </form>
        </div>
    </div>

</div>

@include('partials.copyrights')

<script>
    $('li#userSettings').addClass('active');
</script>

@endsection
