@extends('backpack::layout')

@section('header')
    <section class="content-header">
        <h1>
            {{ $title }}
        </h1>
        <ol class="breadcrumb">
            <li><a href="{{ url('administrator') }}">{{ config('app.name') }}</a></li>
            <li><a href="{{ route('showAllDrugs') }}">Drugs</a></li>
            <li><a href="{{ route('showAllCategories') }}">Categories</a></li>
            <li class="active">{{ $category->name }}</li>
        </ol>
    </section>
@endsection

@section('content')

    <div class="row">
        <div class="col-md-12">
            <div class="box box-primary">
                <div class="box-body">
                    <div class="row">
                        <div class="col-sm-8">
                            <form action="{{ route('updateCategory', ['slug' => $category->slug]) }}" method="post">
                                {{ csrf_field() }}
                                {{ method_field('PUT') }}
                                <div class="form-group">
                                    <label>Category Name <span class="text-danger">*</span></label>
                                    <input type="text" name="name" value="{{ $category->name }}" placeholder="Name" class="form-control">
                                </div>
                                <div class="form-group">
                                    <label>Description <span class="text-danger">*</span></label>
                                    <input type="text" name="description" value="{{ $category->description }}" placeholder="Description" class="form-control">
                                </div>
                                <div class="form-group">
                                    <button type="submit" class="btn btn-success">Update</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
        $('#categories').addClass('active');
    </script>

@endsection
