@extends('backpack::layout')

@section('header')
<section class="content-header">
    <h1>
        {{ $title }}
    </h1>
    <ol class="breadcrumb">
        <li><a href="{{ url('administrator') }}">{{ config('app.name') }}</a></li>
        <li class="active">{{ $title }}</li>
    </ol>
</section>
@endsection

@section('content')

<div class="row">
    <div class="col-md-12">
        <div class="box box-primary">
            <div class="box-body">
                <div class="table-responsive">
                    <table class="table table-hover table-striped">
                        <thead>
                            <th>#</th>
                            <th>Company Name</th>
                            <th>Company Address</th>
                            <th>Drugs</th>
                            <th>Registered to</th>
                            <th>Date Registered</th>
                            <th></th>
                        </thead>
                        <tbody>
                            @forelse ($companies as $company)
                                <tr>
                                    <td>{{ $loop->iteration }}</td>
                                    <td>{{ ucfirst($company->company_name) }}</td>
                                    <td>{{ $company->fullAddress() }}</td>
                                    <td>{{ $company->stocks()->count() }}</td>
                                    <td>{{ $company->user ? $company->user->fullname() : null }}</td>
                                    <td>{{ $company->created_at->format('jS F Y') }}</td>
                                    <td>
                                        <a href="{{ route('editCompany', ['id' => $company->id]) }}"
                                            class="btn btn-info"><i class="fa fa-edit"></i></a>
                                    </td>
                                </tr>
                            @empty
                                Nothing to display here yet.
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    $("#companies").addClass("active");
</script>

@endsection
