@extends('backpack::layout')

@section('header')
    <section class="content-header">
      <h1>
        Drugs
      </h1>
      <ol class="breadcrumb">
        <li><a href="{{ url('administrator') }}">{{ config('app.name') }}</a></li>
        <li><a href="{{ route('showAllDrugs') }}">Drugs</a></li>
        <li class="active">{{ $drug->name }}</li>
      </ol>
    </section>
@endsection


@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="box box-default">
                <div class="box-header with-border">
                    {{-- <div class="box-title">{{ trans('backpack::base.login_status') }}</div> --}}
                </div>

                <div class="box-body">
                    <form action="{{ route('updateDrug', ['id' => $drug->id]) }}" method="post" enctype="multipart/form-data">
                        {{ csrf_field() }}
                        {{ method_field('PUT') }}
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label>Drug Name</label>
                                    <input type="text" name="drug_name" value="{{ $drug->name }}" placeholder="Drug Name" class="form-control">
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label>Drug Quantity</label>
                                    <input type="number" name="drug_quantity" value="{{ $drug->quantity }}" placeholder="Drug Quantity" class="form-control">
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label>Drug Price</label>
                                    <input type="text" name="drug_price" value="{{ $drug->price }}" placeholder="Drug Price" class="form-control">
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label>Pharmacy</label>
                                    <select name="pharmacy" class="form-control">
                                        <option value="">Choose Pharmacy</option>
                                        @foreach ($pharmacies as $pharmacy)
                                            <option value="{{ $pharmacy->id }}" {{ $drug->company == $pharmacy ? 'selected' : '' }}>
                                                {{ $pharmacy->company_name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <select name="drug_category" class="form-control">
                                        <option value="">Choose Category</option>
                                        @foreach ($categories as $category)
                                            <option value="{{ $category->id }}" {{ $drug->category == $category ? 'selected' : '' }}>
                                                {{ $category->name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="btn btn-primary btn-md" style="padding-left: 20px; padding-right: 20px">
                                        <i class="fa fa-image"></i> Choose Drug Image
                                        <input type="file" name="drug_image" accept="image/*" style="display: none;">
                                    </label>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label>Drug Description</label>
                            <textarea name="drug_description" rows="10" placeholder="Drug Description"
                            class="form-control">{{ $drug->description }}</textarea>
                        </div>

                        <div class="form-group">
                            <button class="btn btn-success" type="submit">Update Details</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <script>
        $('li#drugs').addClass('active');

        tinymce.init({
            selector: 'textarea',
            plugins : 'advlist autolink link image wordcount lists charmap print preview'
        });
    </script>
@endsection
