@extends('backpack::layout')

@section('header')
<section class="content-header">
    <h1>
        {{ $title }}
    </h1>
    <ol class="breadcrumb">
        <li><a href="{{ url('administrator') }}">{{ config('app.name') }}</a></li>
        <li><a href="{{ route('companies') }}">Registered Companies</a></li>
        <li class="active">{{ $title }}</li>
    </ol>
</section>
@endsection

@section('content')

<div class="row">
    <div class="col-md-12">
        <div class="box box-primary">
            <div class="box-body">
                <div class="row">
                    <div class="col-sm-10 col-sm-offset-1 col-md-8 col-md-offset-2">
                        <form action="{{ route('updateCompanyData', ['id' => $company->id]) }}" method="post">
                            {{ csrf_field() }}
                            {{ method_field('put') }}
                            <div class="form-group">
                                <label>Company Name</label>
                                <input type="text" name="company_name" value="{{ $company->company_name }}"
                                class="form-control" placeholder="Company Name">
                            </div>
                            <div class="form-group">
                                <label>Street Address</label>
                                <input type="text" name="street_address" value="{{ $company->street_address }}"
                                class="form-control" placeholder="Street Address">
                            </div>
                            <div class="form-group">
                                <label>City</label>
                                <input type="text" name="city" value="{{ $company->city }}" class="form-control"
                                placeholder="City">
                            </div>
                            <div class="form-group">
                                <label>State</label>
                                <input type="text" name="state" value="{{ $company->state }}" class="form-control"
                                placeholder="State">
                            </div>
                            <div class="form-group">
                                <label>Country</label>
                                <input type="text" name="country" value="{{ $company->country }}" class="form-control"
                                placeholder="Country">
                            </div>
                            <div class="form-group">
                                <label for="deliveryInfo">Delivery Info</label>
                                <textarea name="delivery_info" id="deliveryInfo" rows="5" class="form-control">{{ $company->delivery_info }}</textarea>
                            </div>
                            <div class="form-group">
                                <button type="submit" class="btn btn-primary">Update Company Data</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    $("#companies").addClass("active");
</script>

@endsection
