@if (Auth::check())
    <!-- Left side column. contains the sidebar -->
    <aside class="main-sidebar">
      <!-- sidebar: style can be found in sidebar.less -->
      <section class="sidebar">
        <!-- Sidebar user panel -->
        <div class="user-panel">
          <div class="pull-left image">
            <img src="https://placehold.it/160x160/00a65a/ffffff/&text={{ mb_substr(Auth::user()->name, 0, 1) }}" class="img-circle" alt="User Image">
          </div>
          <div class="pull-left info">
            <p>{{ Auth::user()->name }}</p>
            <a href="#"><i class="fa fa-circle text-success"></i> Online</a>
          </div>
        </div>
        <!-- sidebar menu: : style can be found in sidebar.less -->
        <ul class="sidebar-menu">
          <li class="header">{{ trans('backpack::base.administration') }}</li>
          <!-- ================================================ -->
          <!-- ==== Recommended place for admin menu items ==== -->
          <!-- ================================================ -->
            <li>
                <a href="{{ url('/') }}">
                    <i class="fa fa-home"></i>
                    <span>Go Home</span>
                </a>
            </li>
            <li>
                <a href="{{ url('administrator/dashboard') }}" id="dashboard">
                    <i class="fa fa-dashboard"></i>
                    <span>Dashboard</span>
                </a>
            </li>
            <li>
                <a href="{{ url('administrator/patients') }}" id="patients">
                    <i class="fa fa-users"></i>
                    <span>Manage Patients</span>
                </a>
            </li>
            <li>
                <a href="{{ url('administrator/pharmacists') }}" id="pharmacists">
                    <i class="fa fa-users"></i>
                    <span>Manage Pharmacists</span>
                </a>
            </li>
            <li>
                <a href="{{ route('manage_orders') }}" id="orders">
                    <i class="fa fa-shopping-cart"></i>
                    <span>Manage Orders</span>
                </a>
            </li>
            <li>
                <a href="{{ route('companies') }}" id="companies">
                    <i class="fa fa-building-o"></i>
                    <span>Registered Companies <div class="label label-primary">{{ DB::table('companies')->count() }}</div></span>
                </a>
            </li>
            <li>
                <a href="{{ url('administrator/drugs') }}" id="drugs">
                    <i class="fa fa-ambulance"></i>
                    <span>Drugs</span>
                </a>
            </li>
            <li>
                <a href="{{ url('administrator/drugs/categories') }}" id="categories">
                    <i class="fa fa-bookmark-o"></i>
                    <span>Categories</span>
                </a>
            </li>

            <li>
                <a href="{{ route('coupons') }}" id="coupons">
                    <i class="fa fa-tags"></i>
                    <span>Coupons</span>
                </a>
            </li>


          <!-- ======================================= -->
          <li class="header">{{ trans('backpack::base.user') }}</li>
          <li><a href="{{ url('logout') }}"><i class="fa fa-sign-out"></i> <span>{{ trans('backpack::base.logout') }}</span></a></li>
        </ul>
      </section>
      <!-- /.sidebar -->
    </aside>
@endif
