@extends('backpack::layout')

@section('header')
    <section class="content-header">
        <h1>
            {{ $title }}
        </h1>
        <ol class="breadcrumb">
            <li><a href="{{ url('administrator') }}">{{ config('app.name') }}</a></li>
            <li><a href="{{ route('showAllDrugs') }}">Drugs</a></li>
            <li class="active">Orders</li>
        </ol>
    </section>
@endsection


@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="box box-primary">

                <div class="box-body">
                    <div class="table-responsive">
                        <table class="table table-striped orders">
                            <thead>
                                <th>Order ID</th>
                                <th>User</th>
                                <th>Email</th>
                                <th>Address</th>
                                <th>Phone Number</th>
                                <th>Price</th>
                                <th>Items</th>
                                <th>Date</th>
                            </thead>
                            <tbody>
                                @foreach ($orders as $order)
                                    <tr>
                                        <td><a href="{{ route('view_order_items', ['order' => $order->id]) }}">{{ $order->id }}</a></td>
                                        <td>{{ $order->user['name'].' '.$order->user['last_name'] }}</td>
                                        <td>{{ $order->email }}</td>
                                        <td>{{ $order->address }}</td>
                                        <td>{{ $order->user_phone }}</td>
                                        <td>{{ $order->total_price }}</td>
                                        <td>{{ count($order->orderitems) }}</td>
                                        <td>{{ $order->created_at->toDateString() }}</td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                    {{ $orders->links() }}
                </div>
            </div>
        </div>
    </div>

    <script>
        $(document).ready(() => { $('table.orders').DataTable() })
        $('#orders').addClass('active');

        $('a.delete').on('click', function() {
            var response = confirm("Do you really want to delete this category?");
            if (response === true) {
                return true;
            } else {
                return false;
            }
        });
    </script>
@endsection
