@extends('backpack::layout')

@section('header')
    <section class="content-header">
        <h1>
            {{ $title }}
        </h1>
        <ol class="breadcrumb">
            <li><a href="{{ url('administrator') }}">{{ config('app.name') }}</a></li>
            <li><a href="{{ route('showAllDrugs') }}">Drugs</a></li>
            <li><a href="{{ route('manage_orders') }}">Orders</a></li>
            <li class="active">Order {{ $order->id }}</li>
        </ol>
    </section>
@endsection


@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="box box-primary">

                <div class="box-body">
                    <div class="table-responsive">
                        <table class="table table-striped orders">
                            <thead>
                                <th>ID</th>
                                <th>Name</th>
                                <th>Quantity</th>
                                <th>Unit Price</th>
                                <th>Date</th>
                            </thead>
                            <tbody>
                                @foreach ($order_items as $item)
                                    <tr>
                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $item->name }}</td>
                                        <td>{{ $item->quantity }}</td>
                                        <td>{{ number_format($item->unit_price) }}</td>
                                        <td>{{ $item->created_at->format('d-m-Y') }}</td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
        $(document).ready(() => { $('table.orders').DataTable() })
        $('#orders').addClass('active');
    </script>
@endsection
